## org.jgroups
Class GetStateEvent

    java.lang.Object
      org.jgroups.GetStateEvent

    public class GetStateEvent

extends java.lang.Object

Represents a GetState event. Gives access to the requestor.

Constructor Summary
`GetStateEvent(java.lang.Object requestor, java.lang.String state_id)`

Method Summary
`java.lang.Object` `getRequestor()`
`java.lang.String` `getStateId()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetStateEvent

    public GetStateEvent(java.lang.Object requestor,
                         java.lang.String state_id)

Method Detail

### getRequestor

    public java.lang.Object getRequestor()

### getStateId

    public java.lang.String getStateId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.